Source: https://dinakar-planhat.docs-staging.pageloop.ai/api-reference/articles/getarticle

# Get an article

GET `https://api.pageloop.ai/v1/articles/{articleId}`

Fetch a single article, including its body and update history.

## Path Parameters

#### articleId (path, string, required)

The article's unique identifier.

## Response

#### 200

The article

#### id (string, required)

Unique article identifier.

#### title (string, required)

Article title as shown in the help center.

#### status (enum (string)) — allowed: published, draft, archived

Publication status.

#### updatedAt (string)

Last modification timestamp.

#### author (object)

The article's author.

#### properties

#### id (string)

Author user id.

#### name (string)

Display name.

#### 404

No article exists with this id.

#### error (string, required)

Machine-readable error code.

#### message (string, required)

Human-readable description of what went wrong.

#### Request

```bash cURL
curl -X GET 'https://api.pageloop.ai/v1/articles/{articleId}' \
  -H 'Authorization: Bearer <token>'
```

```javascript JavaScript
const res = await fetch('https://api.pageloop.ai/v1/articles/{articleId}', {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <token>',
  },
});
const data = await res.json();
```

```python Python
import requests

res = requests.get(
    'https://api.pageloop.ai/v1/articles/{articleId}',
    headers={'Authorization': 'Bearer <token>'}
)
data = res.json()
```

#### Response

```json 200
{
  "id": "string",
  "title": "string",
  "status": "published",
  "updatedAt": "date-time",
  "author": {
    "id": "string",
    "name": "string"
  }
}
```

```json 404
{
  "error": "string",
  "message": "string"
}
```
